/*
 * SortableColumnsTable.java
 *
 * Copyright (C) 2002-2008 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.executequery.gui;

import javax.swing.table.TableModel;

import org.underworldlabs.swing.table.TableSorter;

/**
 *
 * @author   Takis Diakoumis
 * @version  $Revision: 1241 $
 * @date     $Date: 2008-03-24 07:19:43 +0000 (Mon, 24 Mar 2008) $
 */
public class SortableColumnsTable extends DefaultTable {

    public SortableColumnsTable() {
        
        super();
    }

    public SortableColumnsTable(Object[][] rowData, Object[] columnNames) {

        super(rowData, columnNames);
    }

    public SortableColumnsTable(TableModel model) {

        super();
        
        setModel(model);
    }

    public final void setModel(TableModel dataModel) {

        TableSorter sorter = new TableSorter(dataModel);
        
        sorter.setTableHeader(getTableHeader());

        super.setModel(sorter);
    }
    
    public final void resetSorter() {
        
        if (getModel() instanceof TableSorter) {

            ((TableSorter)getModel()).reset();
        }
    }
    
}





